GPU_PROCESS and DX_INTEROP2 are not fully supported for downloadable blocklisting

RESOLVED FIXED in Firefox 59

Status

()

enhancement
P1
normal
RESOLVED FIXED
2 years ago
Last year

People

(Reporter: milan, Assigned: milan)

Tracking

(Depends on 1 bug)

unspecified
mozilla59
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox57 wontfix, firefox58 wontfix, firefox59 fixed)

Details

Attachments

(1 attachment)

We have a partial support for GPU_PROCESS, VP8_HW_DECODE, VP9_HW_DECODE and DX_INTEROP2, where the constants exist, but parsing ignores the values.  Need to get everything to the consistent and correct level.
Assignee: nobody → milan
Priority: -- → P1
Ignoring VP8 and VP9 decoding now, just covering GPU_PROCESS and DX_INTEROP2 for now.
Summary: GPU_PROCESS and a few other graphics features are not fully supported for downloadable blocklisting → GPU_PROCESS and DX_INTEROP2 are not fully supported for downloadable blocklisting
Comment on attachment 8930577 [details]
Bug 1418980: Add full blocklisting support for GPU_PROCESS and DX_INTEROP2.

https://reviewboard.mozilla.org/r/201692/#review206992
Attachment #8930577 - Flags: review?(dvander) → review+
Pushed by msreckovic@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/c6eb1a20cf14
Add full blocklisting support for GPU_PROCESS and DX_INTEROP2. r=dvander
https://hg.mozilla.org/mozilla-central/rev/c6eb1a20cf14
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla59
You need to log in before you can comment on or make changes to this bug.